package com.ruoyi.device.mqtt.domain.decoder;

import com.ruoyi.device.mqtt.domain.BaseJsonBody;

/**
 * TSB 登录请求
 *
 * @author lwm
 */
public class DeviceLoginRequest extends BaseJsonBody
{
    /** 用户名 */
    private String userName;

    /** 用户密码 */
    private String userPassword;

    /** 调试宝 IMEI，保证使用人唯一 */
    private String imei;

    public DeviceLoginRequest()
    {
        super();
    }

    public String getUserName()
    {
        return userName;
    }

    public void setUserName(String userName)
    {
        this.userName = userName;
    }

    public String getUserPassword()
    {
        return userPassword;
    }

    public void setUserPassword(String userPassword)
    {
        this.userPassword = userPassword;
    }

    public String getImei()
    {
        return imei;
    }

    public void setImei(String imei)
    {
        this.imei = imei;
    }
}
